getControlType {lumi} | R Documentation

## Get the types of the control probes

### Description

Get the types of the control probes, which is in the first column of the controlData data.frame.

### Usage

    getControlType(controlData)

### Arguments

`controlData` | a LumiBatch object including control data or a control data data.frame

### Value

return the unique type of control probe type.

### Author(s)

Pan Du

### See Also

`addControlData2lumi`

### Examples

            controlFile <- system.file('doc', 'Control_Probe_Profile.txt', package='lumi')
            ## return a data.frame
            controlData <- getControlData(controlFile)
            getControlType(controlData)

[Package lumi version 1.10.2 Index]